public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
* cluster: STABLE3 - cman init: common helper function to check configfs
@ 2009-03-27 19:07 Fabio M. Di Nitto
0 siblings, 0 replies; only message in thread
From: Fabio M. Di Nitto @ 2009-03-27 19:07 UTC (permalink / raw)
To: cluster-cvs-relay
Gitweb: http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=b6b4535b787c9968c5b1e8f118fa4b7f04f691ef
Commit: b6b4535b787c9968c5b1e8f118fa4b7f04f691ef
Parent: 4de2bc51f215efb94358206f34525a12f747c1eb
Author: Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate: Wed Mar 25 11:54:44 2009 +0100
Committer: Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Fri Mar 27 20:05:45 2009 +0100
cman init: common helper function to check configfs
Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
cman/init.d/cman.in | 17 ++++++++++-------
1 files changed, 10 insertions(+), 7 deletions(-)
diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 6a6e1bd..de90e31 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -218,6 +218,14 @@ fence_xvmd_enabled()
return 0
}
+mtab_configfs()
+{
+ awk '{ print $2 }' /etc/mtab | \
+ grep "/sys/kernel/config" > /dev/null 2>&1 && \
+ awk '{ print $3 }' /etc/mtab | \
+ grep "configfs" > /dev/null 2>&1
+ return $?
+}
load_modules()
{
@@ -229,10 +237,7 @@ load_modules()
start_configfs()
{
- # configfs
- awk '{ print $2 }' /etc/mtab | grep "/sys/kernel/config" > /dev/null 2>&1 \
- && awk '{ print $3 }' /etc/mtab | grep "configfs" > /dev/null 2>&1
- if [ $? -ne 0 ]; then
+ if ! mtab_configfs; then
errmsg=$( /bin/mount -t configfs none /sys/kernel/config 2>&1 )
return $?
fi
@@ -485,9 +490,7 @@ start()
stop_configfs()
{
- awk '{ print $2 }' /etc/mtab | grep "/sys/kernel/config" > /dev/null 2>&1 \
- && awk '{ print $3 }' /etc/mtab | grep "configfs" > /dev/null 2>&1
- if [ $? -eq 0 ] && [ -z "$(ls -1 /sys/kernel/config)" ]; then
+ if mtab_configfs && [ -z "$(ls -1 /sys/kernel/config)" ]; then
errmsg=$( /bin/umount /sys/kernel/config 2>&1 )
if [ $? -ne 0 ]; then
echo -n $errmsg " "
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2009-03-27 19:06 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2009-03-27 19:07 cluster: STABLE3 - cman init: common helper function to check configfs Fabio M. Di Nitto
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).